<?php 
global $current_user, $wp_roles;
wp_get_current_user();
?>
<?php if(kanews_get_option('post-bookmark') == true): ?>
  <h2 class="kanews-custom-page-title mb-1"><?php esc_html_e( 'Favorilerim', 'kanews' ); ?></h2>
  <?php
  $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  $args = array(
    'posts_per_page' => 9, // post per page
    'paged' => $paged,
    'meta_query' => array (
      array (
        'key' => '_user_bookmarked',
        'value' => $current_user->ID,
        'compare' => 'LIKE'
      )
    )
  );		
  $like_query = new WP_Query( $args );
  if ( $like_query->have_posts() ) : ?>
    <div class="kanews-section kanews-section-flat">
      <div class="row">
        <?php while ( $like_query->have_posts() ) : $like_query->the_post(); global $post; ?>
          <?php get_template_part('template-parts/archives/article-3'); ?>
        <?php endwhile; ?>
      </div>
      
    </div>
  <?php else : ?>
    <p><?php _e( 'Henüz herhangi bir şeyi favorilerine eklememişsin.', 'kanews' ); ?></p>
  <?php 
  endif; 	wp_reset_postdata(); ?>
  <div class="navigation pagination">
    <div class="nav-links">
      <?php 
        echo paginate_links( array(
          'base'         => str_replace( 999999999, '%#%', esc_url( get_pagenum_link( 999999999 ) ) ),
          'total'        => $like_query->max_num_pages,
          'current'      => max( 1, get_query_var( 'paged' ) ),
          'format'       => '?paged=%#%',
          'show_all'     => false,
          'type'         => 'plain',
          'end_size'     => 2,
          'mid_size'     => 1,
          'prev_next'    => true,
          'prev_text'    => '<i class="icon-arrow icon-90degg"></i>',
          'next_text'    => '<i class="icon-arrow icon-90deg"></i>',
          'add_args'     => false,
          'add_fragment' => '',
        ) );
      ?>
    </div>
  </div>
<?php else: ?>
  <p><?php esc_html_e( 'Bu özellik geçici olarak devre dışıdır.', 'kanews' ); ?></p>
<?php endif; ?>