<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Kanews
*/
$pid = get_the_ID();
kanews_set_post_views($pid);
?>
<div class="d-flex flex-wrap">
<div class="col-12 col-lg-9 kanews-sticky">
  <article id="post-<?php echo $pid; ?>" <?php post_class('kanews-article kanews-section-box kanews-article-video'); ?>>
  
    <?php kanews_post_featured($pid); ?>
    <?php kanews_entry_header('1'); ?>
    <?php kanews_entry_assets(); ?>
    <div class="kanews-prev-post-link" hidden><?php previous_post_link('%link', '', FALSE); ?></div>
    <?php $style = ''; if(kanews_get_option('show-post-more') == true) {
      $style = 'style="display: none"';
    } ?>
		<div class="kanews-article-content entry-content" <?php echo $style; ?>>
      <?php 
        // Entry Below
        do_action('kanews_entry_below', $pid);
        // Content
        echo '<div class="entry-content-wrapper">';
          echo '<div class="entry-content-inner">';
            the_content();
            // Links
            kanews_link_pages();
          echo '</div>';
        echo '</div>';
        // Entry Above
        do_action('kanews_entry_above', $pid);
			?>
    </div>
    
	</article>
	<?php if ( comments_open() || get_comments_number() ) :
		comments_template();
	endif; ?>
</div>
<div class="col-12 col-lg-3 kanews-sticky">
	<div class="row" role="complementary">
    <?php get_template_part( 'template-parts/content/components/related', 'videos');?>
		<?php dynamic_sidebar( sanitize_title( 'home-sidebar-video' ) ); ?>
	</div>
</div>
</div>