<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Kanews
 */
$col = 'col-12 col-lg-4';
$sidebar = '';
$page = get_queried_object_id();
if( is_page() ) {
	if(is_active_sidebar( 'home-sidebar-'.$page ) ) {
		$sidebar = 'home-sidebar-'.$page;
	} else {
		$sidebar = 'home-sidebar-page';
	}
	$col = 'col-12 col-lg-3';
} elseif( is_singular() ) {
	$sidebar = 'home-sidebar-post';
	$col = 'col-12 col-lg-3';
} else {
	$sidebar = 'home-sidebar-archive';
}
?>
 

<div class="<?php echo $col; ?> sidebar-right kanews-sticky">
	<div class="row" role="complementary">
		<?php dynamic_sidebar( sanitize_title( $sidebar ) ); ?>
	</div>
</div>
 