<footer id="footer" class="site-footer <?php echo kanews_get_option('footer-skin') == 'dark' ? 'dark-mode' : '' ?> ">
  <?php if(kanews_get_option('footer-widgets') == true && is_active_sidebar( 'footer' )): ?>
    <div class="site-footer-widgets">
      <div class="container">
        <div class="row">
          <?php dynamic_sidebar( 'footer' ); ?>
        </div>
      </div>
    </div>
  <?php endif; ?>
  <div class="site-footer-bottom">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="site-footer-b1">
            <div class="d-flex justify-content-between align-items-centery">
              <?php kanews_footer_logo(); ?>
              <?php if(kanews_get_option('footer-social-links') != false): ?>
                <?php kanews_social_links(); ?>
              <?php endif; ?>
            </div>
          </div>
        </div>
        <div class="col-12">
          <div class="site-footer-b2">
            <?php if ( has_nav_menu( 'menu-3' ) ) : ?>
              <div class="site-footer-menu">
                <?php wp_nav_menu( array(
                  'theme_location' => 'menu-3',
                  'menu_class'     => 'd-flex flex-wrap justify-content-center',
                  'depth'     		 => '1',
                  'container'      => false,
                )); ?>
              </div>
            <?php endif; ?>
            <?php if(kanews_get_option('footer-bottom-text') != ''): ?>
              <div class="site-footer-copyright text-center">
                <?php 

                $footer_vars = array( '%year%', '%site%', '%url%' );
                $footer_val  = array( date('Y') , get_bloginfo('name') , esc_url(home_url( '/' )) );
                echo '<p>'. str_replace( $footer_vars , $footer_val , kanews_get_option( 'footer-bottom-text' )) . '</p>'; ?>
              </div>
            <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
  </div>
</footer>