<?php 
/**
* Header #2
*
* @since 1.0.0
**/
$sub = '';
if(kanews_get_option('subheader-switch') != false) {
$sub = 'extra-sub';
}
?>
<div class="site-head site-head-2 <?php echo $sub; ?>">
  <header id="header" class="site-header">

    <div class="site-header-wrapper">
      <div class="site-header-top">
        <div class="container">
          <div class="row site-row justify-content-between align-items-center">

            <div class="col-auto">
              <div class="site-header-top-left d-flex align-items-center">
                <button class="site-mobil-menu-btn hidden-desktop" data-toggle="site-mobile-menu"><i class="icon-menu icon-4x"></i></button>
                <?php kanews_header_big_menu_btn(); ?>
                <?php kanews_logo(); ?>
              </div>
            </div>

            <?php if(kanews_get_option('header-center') != ''): ?>
              <div class="col hidden-mobile">
                <div class="site-header-top-center">
                  <?php kanews_header_center_module(); ?>
                </div>
              </div>
            <?php endif; ?>

            <div class="col-auto">
              <div class="site-header-top-right">
                <?php if(kanews_get_option('kanews-insights') == true && kanews_get_option('kanews-insights-button') == true && kanews_insights_control() == false): ?>
                  <a href="<?php echo kanews_insights_page_url(); ?>" class="header-btn hidden-mobile"><?php esc_html_e( 'Abone Ol', 'kanews' ); ?></a>
                <?php endif; ?>
                <?php if(kanews_get_option('search-button') == true): ?>
                  <?php kanews_header_search_form('style2'); ?>
                <?php endif; ?>
                <?php kanews_header_action_btn(); ?>
                <?php kanews_header_user_btn(); ?>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>

    <?php kanews_header_big_menu(); ?>

  </header>

  <nav id="navbar" class="site-navbar hidden-mobile">
    <div class="container">
      <div class="navbar-row">
        <?php if(kanews_get_option('home-button') != false): ?>
          <div class="col-auto no-gutter">
            <ul class="site-navbar-nav">
              <li class="current-menu-item home-btn"><a href="<?php echo home_url( '/'); ?>"><i class="icon-home"></i></a></li>
            </ul>
          </div>
        <?php endif; ?>
        <?php if ( has_nav_menu( 'menu-1' ) ) :
          wp_nav_menu( array(
            'theme_location' => 'menu-1',
            'menu_class'     => 'site-navbar-nav',
            'depth'     		 => 4,
            'container'      => false,
          ));
        else: ?>
        <ul class="site-navbar-nav">
          <li class="current-menu-item"><a href="<?php echo admin_url( 'nav-menus.php' ); ?>"><?php esc_html_e( 'Menü Oluştur', 'kanews' ); ?></a></li>
        </ul>
        <?php endif; ?>
        <?php echo kanews_dark_mode_button(); ?>
      </div>
    </div>
  </nav>

  <?php get_template_part('template-parts/header/subheader'); ?>
</div>